#include <QUrl>
#include <QList>
#include <QString>
#include <QStringList>

void test_QList_QUrl0() {
    QUrl fooUrl("asdf");
    QList<QUrl> fooList({fooUrl});
}

void test_QList_QUrl1() {
    QUrl fooUrl("asdf");
    QList<QUrl> fooList;
    fooList.append(fooUrl);
}

void test_QStringList0() {
    QString fooStr("Foo");
    QStringList fooList(fooStr);
}

void test_QStringList1() {
    QString fooStr("Foo");
    QStringList fooList({fooStr});
}

void test_QStringList2() {
    QString fooStr("Foo");
    QStringList fooList;
    fooList.append(fooStr);
}

int main() {
    return 0;
}
